Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> CGI abuses >> CMS Made Simple nls Parameter File Include Vulnerability


Vulnerability Assessment Details

CMS Made Simple nls Parameter File Include Vulnerability

Vulnerability Assessment Summary
Checks for nls parameter file include vulnerability in CMS Made Simple

Detailed Explanation for this Vulnerability Assessment

Summary :

The remote web server contains a PHP script that is vulnerable to
remote file include attacks.

Description :

The remote host appears to be running CMS Made Simple, a content
management system written in PHP.

The version of CMS Made Simple installed on the remote host fails to
properly sanitize user-supplied input to the 'nls' parameter of the
'admin/lang.php' script before using it to include PHP code. By
leveraging this flaw, a possible hacker may be able to view arbitrary files
on the remote host and execute arbitrary PHP code, possibly taken from
third-party hosts.

See also :

http://www.securityfocus.com/archive/1/409654
http://forum.cmsmadesimple.org/index.php/topic,1554.0.html

Solution :

Upgrade to CMS Made Simple 0.10.1 or later.

Network Security Threat Level:

Medium / CVSS Base Score : 6
(AV:R/AC:H/Au:NR/C:P/A:P/I:P/B:N)

Networks Security ID: 14709

Vulnerability Assessment Copyright: This script is Copyright (C) 2005-2006 Tenable Network Security

Cables, Connectors

Cisco ASA 5512-X V01 Adaptive Security Appliance No SSD
$475.0
Cisco ASA 5512-X V01 Adaptive Security Appliance No SSD pictureCUJO Smart Internet Security Firewall Brand New New
$45.0
CUJO Smart Internet Security Firewall Brand New New  pictureNetgear FVG318 Prosafe Wireless VPN Firewall. Used for a short time, perfect
$29.5
Netgear FVG318 Prosafe Wireless VPN Firewall. Used for a short time, perfect pictureSonicWALL NSA 220 Firewall Appliance - 7 Port 01-SSC-9750
$323.25
SonicWALL NSA 220 Firewall Appliance - 7 Port 01-SSC-9750 picture


Discussions

No Discussions have been posted on this vulnerability.